body.modal-open {
  position: fixed;
 }

#first-visit-modal {
  display: none;
  backdrop-filter: blur(5px);
  background-color: rgba(0, 0, 0, 0.5);
  position: fixed;
  inset: 0;
  padding: 0 20px;
  z-index: 50;
}

#first-visit-modal.is-open {
  display: flex;
  align-items: center;
  justify-content: center;
}

#first-visit-modal .modal__inner {
  position: relative;
  background-color: rgba(137, 137, 137, 0.9);
  padding: 50px;
  @include sp {
  padding: 50px 20px;
  }
}

@media (max-width: 599px) {
  #first-visit-modal .modal__inner {
    padding: 50px 20px;
  }
}

#first-visit-modal .modal__inner .modal__close {
  position: absolute;
  top: 5px;
  right: 10px;
  color: #FFF;
  font-size: 25px;
  cursor: pointer;
}

#first-visit-modal .modal__inner .modal__title,
#first-visit-modal .modal__inner .modal__body {
  color: #FFF;
  font-size: 22px;
  text-align: center;
}

#first-visit-modal .modal__inner .modal__title {
  margin-bottom: 20px;
}

#first-visit-modal .modal__inner .modal__body {
  font-size: 16px;
  text-align: center;
}